Vulnerability findings for one node
GET
/api/v1/nodes/{env}/node/{uuid}/vulnerabilities
const url = 'https://example.com/api/v1/nodes/example/node/example/vulnerabilities';const options = {method: 'GET', headers: {Authorization: '<Authorization>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example.com/api/v1/nodes/example/node/example/vulnerabilities \ --header 'Authorization: <Authorization>'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”env
required
string
Environment name or UUID
uuid
required
string
Node UUID
Responses
Section titled “Responses”OK
Media typeapplication/json
object
findings
Array<object>
object
advisory_id
string
confidence
string
ecosystem
string
environment_id
integer
first_seen
string
fixed_version
string
id
integer
installed_version
string
kev
boolean
last_seen
string
node_uuid
string
package
string
resolved_at
string
severity
string
inventory_at
string
loaded
boolean
matched_at
string
not_assessed
integer
stale
boolean
Examplegenerated
{ "findings": [ { "advisory_id": "example", "confidence": "example", "ecosystem": "example", "environment_id": 1, "first_seen": "example", "fixed_version": "example", "id": 1, "installed_version": "example", "kev": true, "last_seen": "example", "node_uuid": "example", "package": "example", "resolved_at": "example", "severity": "example" } ], "inventory_at": "example", "loaded": true, "matched_at": "example", "not_assessed": 1, "stale": true}Forbidden
Media typeapplication/json
object
code
string
error
string
Examplegenerated
{ "code": "example", "error": "example"}Not Found
Media typeapplication/json
object
code
string
error
string
Examplegenerated
{ "code": "example", "error": "example"}